<!DOCTYPE html>
<html>
  <head>
    <title><%= title %></title>
    <link rel='stylesheet' href='/stylesheets/style.css' />
  </head>
  <body>
    <header class="bg-dark">
      <div class="col-100">
        <h1 class="color-white" style="text-align: center;"> <%= title%> </h1>
      </div>
    </header> 
    <section>
      <div class="col-100">
        <form action="/add" method="POST">
          <h2 style="text-align: center;">Cadastro de Produtos</h2>
          <input type="text" name="produto" placeholder="Produto">
          <input type="text" name="marca" placeholder="Marca">
          <input type="number" name="preco" placeholder="Preço">
          <button type="submit">+ Cadastrar </button>
        </form>
      </div>
      <div class="col-100">
        <h2 style="text-align: center;">Listagem dos Produtos</h2>
        <table>
          <thead class="bg-dark">
            <tr>
              <th>Número</th>
              <th>Produto</th>
              <th>Marca</th>
              <th>Preço</th>
              <th>Ações</th>
            </tr>
          </thead>
          <tbody style="text-align: center;">
            <% for (var i=0; i < tasks.length; i++){%>
            <tr>
              <td><%= i+1 %></td>
              <td><strong><%= tasks[i].produto %></strong></td>
              <td><%= tasks[i].marca %></td>
              <td><%= tasks[i].preco %></td>
              <td class="actions" style="text-align: center;">
                  <a href="/remove/<%= tasks[i]._id %>" class="color-red">Remover</a>
              </td>
            </tr>
            <% } %>
          </tbody>
        </table>
      </div>
    </section>
  </body>
</html>